unit paintobitmapfrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dx_scene, dx_vgcore, dx_vglayer, dx_ani, dx_objects;

type
  TForm5 = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    Light1: TdxLight;
    GUIObjectLayer1: TdxGUIObjectLayer;
    Root2: TvxLayout;
    Rectangle1: TvxRectangle;
    Image1: TvxImage;
    Render: TvxButton;
    Text3D1: TdxText3D;
    trackSize: TvxTrackBar;
    Label1: TvxLabel;
    ScrollBox1: TvxScrollBox;
    Image2: TvxImage;
    FloatAnimation1: TdxFloatAnimation;
    ValueLabel1: TvxValueLabel;
    procedure FormCreate(Sender: TObject);
    procedure RenderClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

{$R *.dfm}

procedure TForm5.FormCreate(Sender: TObject);
begin
  trackSize.Max := maxBitmapSize;
end;

procedure TForm5.RenderClick(Sender: TObject);
var
  B: TdxBitmap;
begin
  // Render to Texture
  B := TdxBitmap.Create(1, 1);
  Text3D1.PaintToBitmap(B, trunc(trackSize.Value), trunc(trackSize.Value), 0);
  if B <> nil then
  begin
    // copy to Image
    Image2.Bitmap.Assign(B);
    Image2.Width := Image2.Bitmap.Width;
    Image2.Height := Image2.Bitmap.Height;
    // center ScrollBox
    ScrollBox1.Centre;
    // ! Free bitmap
    B.Free;
  end;
end;

end.
